summaryrefslogtreecommitdiffstats
path: root/desktop/xmobar/xmobar.SlackBuild
diff options
context:
space:
mode:
author Xavier Maillard2010-05-12 23:28:31 +0200
committer Robby Workman2010-05-12 23:28:31 +0200
commite11db00f74d49caf54f6ffb5d0dfc654cda6a56f (patch)
tree171bb40e253067753d3d371579afadd86e36c451 /desktop/xmobar/xmobar.SlackBuild
parent5355b4ed90392a832edd74f50360121bdc5f709a (diff)
downloadslackbuilds-e11db00f74d49caf54f6ffb5d0dfc654cda6a56f.tar.gz
desktop/xmobar: Added to 12.2 repository
Diffstat (limited to 'desktop/xmobar/xmobar.SlackBuild')
-rw-r--r--desktop/xmobar/xmobar.SlackBuild72
1 files changed, 72 insertions, 0 deletions
diff --git a/desktop/xmobar/xmobar.SlackBuild b/desktop/xmobar/xmobar.SlackBuild
new file mode 100644
index 0000000000..85cb3646de
--- /dev/null
+++ b/desktop/xmobar/xmobar.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for xmobar
+
+# Written by Xavier Maillard <xma@gnu.org>
+# Public domain.
+
+PRGNAM=xmobar
+VERSION=${VERSION:-0.9.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runhaskell Setup.lhs configure \
+ --constraint="base<4" \
+ --prefix=/usr \
+ --libdir=/usr/lib/ghc-$GHC_VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runhaskell Setup.lhs build
+runhaskell Setup.lhs copy --destdir=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README xmobar.config-sample \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz